## tuba 0.2.0

=== debian/changelog ===
tuba (0.2.0-3) experimental; urgency=medium

  [ Andres Salomon ]
  * Update for 0.2.0.
  * Add build-dep on libgtksourceview-5-dev.
  * Switch from using libsoup2.4-dev to libsoup-3.0-dev for build.

  [ Federico Ceratto ]
  * Initial release. (Closes: #1033373)

 -- Federico Ceratto <federico@debian.org>  Thu, 25 May 2023 20:51:06 +0100
