=== debian/control ===
Source: tuba
Section: x11
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Federico Ceratto <federico@debian.org>
Rules-Requires-Root: no
Build-Depends:
 appstream-util,
 debhelper-compat (= 13),
 desktop-file-utils,
 gettext,
 libadwaita-1-dev,
 libgee-0.8-dev,
 libglib2.0-dev (>= 2.30.0),
 libgtk-4-dev,
 libhandy-1-dev,
 libjson-glib-dev,
 libsecret-1-dev,
 libsoup-3.0-dev,
 libgtksourceview-5-dev,
 libxml2-dev,
 meson,
 valac (>= 0.26),
Standards-Version: 4.6.2
Homepage: https://github.com/GeopJr/Tuba
Vcs-Browser: https://salsa.debian.org/debian/tuba
Vcs-Git: https://salsa.debian.org/debian/tuba.git

Package: tuba
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Mastodon client
 Lightweight desktop client for Mastodon and other fediverse services
