=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/tuba-$1\.tar\.gz/ \
  https://github.com/GeopJr/Tuba/tags .*/v?(\d\.\d\.\d*)\.tar\.gz
