=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk  # provides DEB_VERSION

%:
	dh $@ --buildsystem=meson --builddirectory=debian/build


override_dh_auto_clean:
	rm -rf debian/build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd debian/build && ninja test
endif

override_dh_auto_install:
	cd debian/build && DESTDIR=${CURDIR}/debian/tuba ninja install
	mv debian/tuba/usr/bin/dev.geopjr.Tuba debian/tuba/usr/bin/tuba
	sed -i 's/^Exec=.*\s\(.*\)/Exec=tuba \1/' debian/tuba/usr/share/applications/dev.geopjr.Tuba.desktop

override_dh_installman:
	dh_installman ./debian/tuba.1
