## tuba 0.6.1

=== debian/changelog ===
tuba (0.6.1-1) unstable; urgency=medium

  * New upstream version
  * debian: stop excluding screenshots from upstream tarball.
    Those are still stored in `git-lfs`, but they're now part of the
    github-generated tarball, so we can now distribute them as well.
  * d/copyright: update for new version.
  * d/control: extend and improve long description.
  * d/tuba.1: fix application description.
    Fixes: lintian: useless-whatis-entry
  * debian: drop README.Debian and .docs file.
    We no longer exclude the screenshots, so `README.Debian` is no longer
    relevant. Additionally, there's no `tuba-docs` package so we can also
    drop the corresponding file.
  * .gitattributes: drop as we no longer use git-lfs

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 28 Dec 2023 14:49:13 +0100
