## tuba 0.6.3

=== debian/changelog ===
tuba (0.6.3-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:26:33 +1100

tuba (0.6.3-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:10:44 +0000

tuba (0.6.3-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 07 Feb 2024 09:50:22 +0100

tuba (0.6.2-1) unstable; urgency=medium

  * New upstream version
  * d/gbp.conf: add more useful default options
    * automatic changelog commit after successful `gbp import-orig`
    * default commit message for `gbp dch -c`
  * d/rules: force `C` locale for running tests
    This will prevent FTBFS issues on systems with a different locale.
    (Closes: #1060991)

 -- Arnaud Ferraris <aferraris@debian.org>  Sat, 20 Jan 2024 12:59:23 +0100
