=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tuba
 Section: x11
 Priority: optional
-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Federico Ceratto <federico@debian.org>,
            Arnaud Ferraris <aferraris@debian.org>
 Rules-Requires-Root: no
@@ -31,5 +32,10 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
-Description: Mastodon client
- Lightweight desktop client for Mastodon and other fediverse services
+Description: Mastodon and Fediverse client based on GTK4
+ Tuba is a lightweight desktop client for Mastodon and other fediverse
+ services using GTK4 and libadwaita. As such, it is well integrated with the
+ GNOME desktop.
+ .
+ Tuba is also an adaptive application, usable on both desktop and mobile
+ devices.
