=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	cd debian/build && ninja test
+	cd debian/build && LC_ALL=C.UTF-8 ninja test
 endif
 
 override_dh_auto_install:
