## tuba 0.8.2

=== debian/changelog ===
tuba (0.8.2-1) unstable; urgency=medium

  * New upstream version
  * d/control: update required libs versions.
    Upstream bumped the minimal version for GTK4 and libadwaita, let's
    reflect that in the packaging.
  * debian: enable video support.
    Tuba is now able to play videos as long as it is built against (and
    installed alongside) libclapper. Ensure we pull the proper build
    dependency and enable the corresponding build option as it's disabled by
    default.

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 02 Aug 2024 12:59:00 +0200
