=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: tuba
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Federico Ceratto <federico@debian.org>,
            Arnaud Ferraris <aferraris@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  appstream-util,
+ clapper (>= 0.6.0~),
  debhelper-compat (= 13),
  desktop-file-utils,
  gettext,
- libadwaita-1-dev (>= 1.4~),
+ libadwaita-1-dev (>= 1.5~),
  libgee-0.8-dev,
  libglib2.0-dev (>= 2.76.0),
- libgtk-4-dev (>= 4.11.3~),
+ libgtk-4-dev (>= 4.13.4~),
  libjson-glib-dev,
  libsecret-1-dev,
  libsoup-3.0-dev,
