=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,9 @@
 override_dh_auto_clean:
 	rm -rf debian/build
 
+override_dh_auto_configure:
+	dh_auto_configure -- -Dclapper=true
+
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	cd debian/build && LC_ALL=C.UTF-8 ninja test
