=== debian/changelog ===
tuba (0.8.4-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 10 Sep 2024 13:54:35 +0200

tuba (0.8.3-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Sun, 08 Sep 2024 17:32:28 +0200

tuba (0.8.2-2) unstable; urgency=medium

  * debian: drop maintainer manual page.
    Upstream now ships its own man page.
  * d/control: add missing build dependencies for clapper.
    The `clapper` package includes the needed development files, but those
    require the development files for other libraries, which aren't part of
    `clapper`'s  dependencies, sadly. Ensure we have all build deps by
    adding them manually until this package is fixed.
    While at it, bump Standards-Version as no other change is required.

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 02 Aug 2024 18:45:53 +0200
