=== debian/control ===
--- 
+++ 
@@ -14,15 +14,19 @@
  libadwaita-1-dev (>= 1.5~),
  libgee-0.8-dev,
  libglib2.0-dev (>= 2.76.0),
+# FIXME: drop when pulled by clapper (#1077812)
+ libgstreamer-plugins-base1.0-dev,
  libgtk-4-dev (>= 4.13.4~),
+ libgtksourceview-5-dev,
  libjson-glib-dev,
+# FIXME: drop when pulled by clapper (#1077812)
+ libmicrodns-dev,
  libsecret-1-dev,
  libsoup-3.0-dev,
- libgtksourceview-5-dev,
  libxml2-dev,
  meson,
  valac,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/GeopJr/Tuba
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/tuba
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/tuba.git
