=== debian/changelog ===
tuba (0.9.0-1) unstable; urgency=medium

  * New upstream version
  * d/control: depend on GStreamer.
    This was added in this version for providing a built-in audio player.

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 16 Dec 2024 10:26:15 +0100
