## tuba 0.9.1

=== debian/changelog ===
tuba (0.9.1-1build1) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2025 05:30:48 +0100

tuba (0.9.1-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Sun, 29 Dec 2024 14:23:21 +0100
