=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  libadwaita-1-dev (>= 1.5~),
  libgee-0.8-dev,
  libglib2.0-dev (>= 2.76.0),
+ libgstreamer1.0-dev,
 # FIXME: drop when pulled by clapper (#1077812)
  libgstreamer-plugins-base1.0-dev,
  libgtk-4-dev (>= 4.13.4~),
@@ -36,6 +37,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
+ gstreamer1.0-plugins-good,
 Description: Mastodon and Fediverse client based on GTK4
  Tuba is a lightweight desktop client for Mastodon and other fediverse
  services using GTK4 and libadwaita. As such, it is well integrated with the
