=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  meson,
  valac,
 Standards-Version: 4.7.0
-Homepage: https://github.com/GeopJr/Tuba
+Homepage: https://apps.gnome.org/Tuba/
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/tuba
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/tuba.git
 
@@ -45,3 +45,5 @@
  .
  Tuba is also an adaptive application, usable on both desktop and mobile
  devices.
+ .
+ Tuba is a GNOME Circle app.
