=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,5 @@
 override_dh_auto_install:
 	cd debian/build && DESTDIR=${CURDIR}/debian/tuba ninja install
 	mv debian/tuba/usr/bin/dev.geopjr.Tuba debian/tuba/usr/bin/tuba
+	mv debian/tuba/usr/share/man/man1/dev.geopjr.Tuba.1 debian/tuba/usr/share/man/man1/tuba.1
 	sed -i 's/^Exec=.*\s\(.*\)/Exec=tuba \1/' debian/tuba/usr/share/applications/dev.geopjr.Tuba.desktop
-
-override_dh_installman:
-	dh_installman ./debian/tuba.1
