## tuba 0.10.1

=== debian/changelog ===
tuba (0.10.1-1) unstable; urgency=medium

  * New upstream version
  * d/control: update build dependencies.
    Upstream added (optional) build dependencies on `webkitgtk` and
    `gexiv2`. In order to provide our users with the best experience, let's
    add those, and bump the minimum required versions of other deps as
    updated upstream.
    While at it, bump `Standards-Version` (no change needed) and drop
    `Rules-Requires-Root` as it's no longer needed
  * d/rules: enable optional features.
    Except for `clapper`, most optional features (such as GStreamer usage)
    were previously auto-detected. This is no longer the case and we now
    need to explicitly enable those, along with the new ones (`gexiv2` and
    `in-app-browser`).
  * d/gbp.conf: ensure we don't pull .gitattributes by accident
  * d/patches: fix metainfo generation.
    This step failed due to improper use of `&` instead of `&amp;` in
    translations, causing libxml to generate empty paragraphs for the
    corresponding languages.

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 11 Aug 2025 14:34:32 +0200
