=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,12 @@
 	rm -rf debian/build
 
 override_dh_auto_configure:
-	dh_auto_configure -- -Dclapper=true
+	dh_auto_configure -- \
+		-Dclapper=enabled \
+		-Dgexiv2=enabled \
+		-Dgstreamer=enabled \
+		-Din-app-browser=enabled \
+		-Dspelling=enabled
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
