=== debian/changelog ===
tuba (0.10.2-1) unstable; urgency=medium

  * New upstream version
  * d/watch: update to version 5
  * d/patches: update for new upstream release.
    The metainfo patch has been upstreamed and can therefore be dropped.
    However, we now run into a new issue due to Vala 0.56 being seemingly
    stricter about ownership, leading builds to fail in Debian. Fix this
    by explicitly transferring ownership wherever needed. (Closes: #1115148)

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 29 Sep 2025 14:12:36 +0200

tuba (0.10.1-2) unstable; urgency=medium

  * d/rules: stop renaming executable.
    Upstream installs the executable as `dev.geopjr.Tuba` and we used to
    rename it to `tuba`. However, this doesn't work well with the recently
    added D-Bus activation, so let's revert to installing the executable
    without renaming it.

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 12 Aug 2025 10:53:54 +0200
