## tuba 0.10.3

=== meson_options.txt ===
option('devel', type: 'boolean', value: false)
option('distro', type: 'boolean', value: false)
option('spelling', type: 'feature')
option('clapper', type: 'feature', deprecated: {'true': 'enabled', 'false': 'disabled'})
option('gstreamer', type: 'feature')
option('in-app-browser', type: 'feature')
option('gexiv2', type: 'feature')
