=== debian/changelog ===
tuba (0.10.3-1) unstable; urgency=medium

  * New upstream version
  * d/patches: drop upstreamed patch

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 13 Oct 2025 17:00:11 +0200
