=== debian/control ===
--- 
+++ 
@@ -4,30 +4,33 @@
 Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Federico Ceratto <federico@debian.org>,
            Arnaud Ferraris <aferraris@debian.org>
-Rules-Requires-Root: no
 Build-Depends:
  appstream-util,
- clapper (>= 0.6.0~),
+ clapper (>= 0.8~),
  debhelper-compat (= 13),
  desktop-file-utils,
  gettext,
- libadwaita-1-dev (>= 1.5~),
+ libadwaita-1-dev (>= 1.7~),
  libgee-0.8-dev,
- libglib2.0-dev (>= 2.76.0),
+ libgexiv2-dev (>= 0.14~),
+ libglib2.0-dev (>= 2.80~),
  libgstreamer1.0-dev,
 # FIXME: drop when pulled by clapper (#1077812)
  libgstreamer-plugins-base1.0-dev,
- libgtk-4-dev (>= 4.13.4~),
+ libgtk-4-dev (>= 4.18~),
  libgtksourceview-5-dev,
  libjson-glib-dev,
 # FIXME: drop when pulled by clapper (#1077812)
  libmicrodns-dev,
+ libpeas-2-dev,
  libsecret-1-dev,
  libsoup-3.0-dev,
+ libspelling-1-dev,
+ libwebkitgtk-6.0-dev,
  libxml2-dev,
  meson,
  valac,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://apps.gnome.org/Tuba/
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/tuba
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/tuba.git
